List records
curl --request GET \
--url https://api.apyconnect.io/v1/objects/{key}/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apyconnect.io/v1/objects/{key}/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apyconnect.io/v1/objects/{key}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "record",
"id": "<string>",
"object_key": "<string>",
"number": 123,
"display_number": "<string>",
"name": "<string>",
"stage": "<string>",
"owner_id": "<string>",
"properties": {},
"links": [
{
"object": "record_link",
"id": "<string>",
"association_id": "<string>",
"target_type": "contact",
"target_id": "<string>",
"target_name": "<string>",
"target_object_key": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"stage_changed_at": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 123
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}Custom objects
List records
Newest first. Filter by any property with filter[<key>][<op>]=<value> (ops: eq, neq, contains, not_contains, empty, not_empty, gt, gte, lt, lte, in, not_in, is_true, is_false, within_next_days, within_last_days, overdue; in takes a comma list). Example: filter[premium][gte]=100&filter[line][in]=auto,life.
GET
/
v1
/
objects
/
{key}
/
records
List records
Autorizaciones
Opaque token issued by /oauth/token.
Parámetros de ruta
Object key (e.g. policies) or id.
Parámetros de consulta
Page size.
Rango requerido:
1 <= x <= 100Opaque cursor for the next page (pagination.next_cursor).
Search by name, number or any text value.
Owner user id, or none.
